from enum import Enum


class SharedtypesClientPayrollStatus(str, Enum):
    AWAITING_MAPPING = "awaiting_mapping"
    CENSUS_IMPORTED = "census_imported"
    ERROR = "error"
    PARSED_REPORTS = "parsed_reports"
    PENDING = "pending"
    PROCESSED = "processed"
    PROCESSING = "processing"
    REAUTH_REQUIRED = "reauth_required"
    SYNCED = "synced"
    SYNCING = "syncing"
    WAITING_ON_CLIENT = "waiting_on_client"

    def __str__(self) -> str:
        return str(self.value)
